Bug 50713 - printconf-gui doesn't work, printconf-tui crashes
printconf-gui doesn't work, printconf-tui crashes
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: printconf (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Crutcher Dunnavant
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-02 10:45 EDT by greg hosler
Modified: 2007-04-18 12:35 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-03 10:33:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description greg hosler 2001-08-02 10:45:23 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.4.6-3.1smp i686; Nav)

Description of problem:
printconf-gui

        initial panel looks promising. selecting "new"

                initial screen - ok
                Selecting Queue Name & Type - screen ok.

                        enter lp (or ps) and click local
                        <next>

                After this it is all downhill...

                        The help (main panel) doesn't work
                        It's not obvious how to fill up the

                                "Configure Unix Print Queue"

                        panel.

                All the labels are missing (see 

                                "Configure Unix Print Queue"
                                "Configure Windows Print Queue"
                                "Configure a Novell Print Queue"
                                "Select a Printer Driver"

                There are NO printer drivers, and it is not possible to
select
                a printer driver.

        There are also alot of errors being generated in teh xterm from
which
        printconf-gui is started:
               
  Traceback (innermost last):

  File "/usr/lib/python1.5/site-packages/libglade.py", line 28, in __call__
    ret = apply(self.func, a)
  File "/usr/share/printconf/util/printconf_gui.py", line 471, in
        nqd_handle_next
    printer = dev["printer"]
  KeyError: printer

============================================================

printconf-tui

        shows slightly more promise, but bombs out when <Next>ing from the
        "Setting Up Local Printer Device" panel.





How reproducible:
Always

Steps to Reproduce:
1.run printconf-gui as per above, run printconf-tui as per above
2.
3.
	

Actual Results:  1. printconf-gui is missing labels, and can't configure
printer.
help is also missing

2. printconf-tui crashes as per above.


Expected Results:  A properly configured printcap, by an easy / intuitive
gui

Additional info:
Comment 1 Crutcher Dunnavant 2001-08-02 11:00:48 EDT
this is a fixed bug. There was an error right at the beginning of the new
dialog, and everything after that was off in fishkill. I need to figure out how
to make python errors in pygtk fatal, as this was really a crash.
Comment 2 greg hosler 2001-08-03 10:33:31 EDT
I just checked rawhide. rawhide contains the following:

	printconf-0.3.0-5
	printconf-gui-0.3.0-5

This is exactly the same printconf as on beta3, and the problem described
above is definately there.

I also checked the SRPMS, just incase the rpms had not been re-generated.
The SRPMS are the same version (0.3.0-5)

I am not seeing RAWHIDE as containing the fix.

-Greg
Comment 3 Crutcher Dunnavant 2001-08-03 10:58:15 EDT
trust me, its fixed. The rawhide resolution means "I fixed it, it will
eventually work its way through the distiribution system to the outside world."
Reopening this bug will not make it show up sooner, /I/ cannot make it show up
sooner.

If you want to, you can pull it out of CVS from:
 passwd: anoncvs
 cvs -z6 -d :pserver:anoncvs@sources.redhat.com:/cvs/rhl login
 cvs -z6 -d :pserver:anoncvs@sources.redhat.com:/cvs/rhl co printconf

make archive
rpm -ta printconf-$VER.tar.bz2
rpm -Uvh /usr/src/redhat/RPMS/arch/printconf-*

Note You need to log in before you can comment on or make changes to this bug.